Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-otn-g709-info-model-05.txt

From: Lou Berger <[email-masked]>
Date: Tue, 04 Dec 2012 15:31:44 -0500

Authors,
	Please review any changes and how LC comments are addressed.

Thank you,
Lou

On 11/28/2012 2:36 AM, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.
> 
> 	Title           : Evaluation of existing GMPLS encoding against G.709v3 Optical Transport Networks (OTN)
> 	Author(s)       : Sergio Belotti
>                           Pietro Vittorio Grandi
>                           Daniele Ceccarelli
>                           Diego Caviglia
>                           Fatai Zhang
>                           Dan Li
> 	Filename        : draft-ietf-ccamp-otn-g709-info-model-05.txt
> 	Pages           : 22
> 	Date            : 2012-11-27
> 
> Abstract:
>    The recent revision of ITU-T recommendation G.709 [G.709-2012] has
>    introduced new fixed and flexible Optical Data Unit (ODU) containers
>    in Optical Transport Networks (OTNs), enabling optimized support for
>    an increasingly abundant service mix.
> 
>    This document provides an evaluation of existing Generalized
>    Multiprotocol Label Switching (GMPLS) routing and signaling methods
>    against the G.709-2012 OTN networks.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-ccamp-otn-g709-info-model
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-ccamp-otn-g709-info-model-05
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-otn-g709-info-model-05
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
> 
> 
> 
>

---

From: Lou Berger <[email-masked]>
Date: Wed, 19 Dec 2012 18:27:17 -0500

Authors?

---

From: Daniele Ceccarelli <[email-masked]>
Date: Thu, 20 Dec 2012 09:05:30 +0000

Hi Lou,

Below you can find the last call comments pasted with replies in line.

All nits, typos and suggested text changes without any comment in line have been accepted/modified accordingly.

BR
Daniele & Sergio

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] 
>On Behalf Of Lou Berger
>Sent: sabato 20 ottobre 2012 0.06
>To: CCAMP; [email-masked]
>Subject: [CCAMP] WG Last Call comments on 
>draft-ietf-ccamp-otn-g709-info-model-04
>
>
>Authors,
>	I have the following LC comments:
>
>General comments:
>
>- There's a lot of text/concepts that is common to both this 
>document and the framework document.  The document certainly 
>adds additional useful detail, but I'm not sure it's really 
>provides an information model of any kind.  Optimally, I think 
>this document should be merged with the framework document.  I 
>think this would yield a more comprehensive and understandable 
>result.  I really don't see this as a lot of work/time, 
>although it clearly would be a major change
>
>If this is considered to be to onerous a proposal, then this 
>document should at least be updated to (a) reduce duplication 
>text with the framework document and (b) remove any references 
>to "model" and just talk about providing "Additional Information"

All duplicated text have been removed from this ID and kept into the FWK (mostly End of section 1, whole sections 2 and 3).

Title changed into:
Evaluation of existing GMPLS encoding against G.709v3 Optical Transport Networks (OTN)

And abstract into:
[...]

>
>- The document should be reviewed by the authors to ensure it 
>is consistent with the latest solutions documents and WG 
>discussions.  For example, there are multiple references to 
>the contentious and much discussed "penultimate hop" case 
>without any references to the agreed upon approach.

Done. Please see section 3.2

>
>Editorial comments:
>
>- Please verify that abbreviations are defined before being used .
>There are a number of these.

Done
>
>- Please use a consistent decimal representation (sometimes 
>commas are used other times periods)
>
>- the references [G709-v1] and [G709-v3] each actually refer 
>to multiple documents, each documented needs to have it's own 
>(correct) reference, i.g., [G709-v1] and [G709-v1a1]. The 
>document text will need to be revisited to ensure the proper 
>reference is made.

RFC4328 for older versions of G709 and G709-2012 for the latest one (v4)

>
>-
>http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft
-ietf-ccamp-otn-g709-info-model-04.txt
>shows there are unresolved nits that need to resolved .  I'm 
>using line numbers from this url in my subsequent comments.
>
>Line 18: Suggest dropping "The recent revision of"
>
>Line 20/21: Suggest dropping the marketing phrase "enabling 
>optimized support for an increasingly abundant service mix."
>
>Lines 93-127 (through "of"): I don't see how this text 
>provides any value.  I suggest dropping it, or at most just 
>reference the FWK document.
>
>Lines 319-341: Instances of "G.709" should be "[G.709-V3]"
>
>Line 538: Add "(Source: Table 7-10 [G.709-V3])"
>
>Lines 579/80: Does "foundation G.709" mean "[G.709-V1]" If not 
>what does it mean?
>
>Line 591: Replace/add "[RFC4203]" after "OSPF-TE"
>
>Lines 617-620: While one could certainly implement 4202/3 this 
>way, it certainly is not required.  I think these lines should 
>be dropped.
>
>Lines 626-630:  These sentences are simply wrong.  What would 
>be correct is to say something like:
>
>"Per [RFC2328], OSPF messages are directly encapsulated in IP 
>datagrams and depend on IP fragmentation when transmitting 
>packets larger than the network MTU.  [RFC2328] recommends 
>that "IP fragmentation should be avoided whenever possible." 
>This recommendation further constraints solutions as OSPF does 
>not support any generic mechanism to fragment OSPF LSAs."
>
>Line 632, probably should add a reference to [RFC4201].
>
>Lines 733, 735, 764: figure numbers are wrong "6"->"9", "7"->"10"
>
>Lines 734/5: "are supposed to" --> "only"
>
>Line 735: "The figure 6 addresses" --> "Figure 9 represents"
>
>Line 738: Assuming I understand your intent, replace "Being D 
>a single stage capable node" --> "As node D is a single stage 
>capable node"
>
>Section 5, needs to be updated to reference existing relevant 
>signaling and routing GMPLS RFCs and identify any additional 
>information that is being conveyed and additional risks, if any.

New text:
   This document provides an evaluation of OTN requirements against
   actual routing [RFC4202] and [RFC4203] and signaling mechanism
   [RFC3471], [RFC3473] and [RFC4328]in GMPLS.

   New types of information to be conveyed regard OTN containers and
   hierarchies and from a security standpoint this memo does not
   introduce further risks with respect to the information that can be
   currently conveyed via GMPLS protocols.  For a general discussion on
   MPLS and GMPLS-related security issues, see the MPLS/GMPLS security
   framework [RFC5920].

>
>That's it on this document.
>
>Lou 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] 
>On Behalf Of Lou Berger
>Sent: giovedì 20 dicembre 2012 0.27
>To: [email-masked]; [email-masked]
>Subject: Re: [CCAMP] I-D Action: 
>draft-ietf-ccamp-otn-g709-info-model-05.txt
>
>Authors?
>
>>>  This draft is a work item of the Common Control and 
>Measurement Plane Working Group of the IETF.
>>>
>>> 	Title           : Evaluation of existing GMPLS encoding 
>against G.709v3 Optical Transport Networks (OTN)

---

From: Lou Berger <[email-masked]>
Date: Thu, 20 Dec 2012 10:07:27 -0500

Daniele / Authors,
	Thank you for the response.  Please see below for my responses.

> All duplicated text have been removed from this ID and kept into the FWK (mostly End of section 1, whole sections 2 and 3).

okay.

>    against the G.709-2012 OTN networks.

okay.

> Done. Please see section 3.2

There still a number of instances where  penultimate hop section of
interface is mentioned.  As we discussed on the list, this issue
actually exists for any node that is selecting the egress' nodes
incoming interface.  This can be at the ingress (in setting an ERO), a
transit node (doing ERO expansion), or the penultimate hop.  So there
are some additional fixes needed.

>> commas are used other times periods)

There are instances where this is still an issue, e.g., search for 1,25.

> RFC4328 for older versions of G709 and G709-2012 for the latest one (v4)

great.

>> Line 18: Suggest dropping "The recent revision of"

This chance was not made, was this intentional? (and this terminology
continues to be used.)  -- Yes this is a style comment -- so ignore as
you see fit.

>> optimized support for an increasingly abundant service mix."

This chance was not made, was this intentional?  I think form of
"marketing" doesn't belong in an PS -- just MO.

>> reference the FWK document.

No real change here.  This text remains.  Why are LSA types mentioned
here at all? They aren't mentioned in the body of the document so should
be removed.

>> Lines 319-341: Instances of "G.709" should be "[G.709-V3]"

still missing '[]'

[...]

Thanks I think that's it.
Lou